/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Copyright by The HDF Group (THG).                                         *
 * All rights reserved.                                                      *
 *                                                                           *
 * This file is part of aug_eos5. The full aug_eos5 copyright notice,      *
 * including terms governing use, modification, and redistribution, is       *
 * contained in the files COPYING and Copyright.html. COPYING can be         *
 * found at the root of the source code distribution tree; Copyright.html    *
 * can be found at the root level of an installed copy of the electronic     *
 * aug_eos5 document set and is linked from the top-level documents page.   *
 * It can also be found at                                                   *
 * http://www.hdfgroup.org/H4H5TOOLS/doc/Copyright.html. If you do not have  *
 * access to either file, you may request a copy from help@hdfgroup.org.     *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */


#ifndef DUMP_WRITE_H
#define DUMP_WRITE_H

#include "util.h"

int open_hdf5(hid_t ctxid, const char *fname);
int create_aug_group(hid_t ctxid, const char *gridswathname, int isgrid);
int write_hdf5_dimension(hid_t ctxid, const char *gridswathname, int isgrid, int ispure, const dimension_t *dim);
int write_hdf5_implicit_dimension(hid_t ctxid, const char *gridname, const grid_t *grid, int isxdim, int ispure);
int associate_hdf5_dimension(hid_t ctxid, const char *gridswathname, int isgrid, const fieldinfo_t *field, int isdatafield);
int fill_hdf5_1d_dimension(hid_t ctxid, const char *gridname, int islongitude, const doublealloc *coord);
int fill_hdf5_2d_dimension(hid_t ctxid, const char *gridname, int islongitude, const doublealloc *coord, int ydimmajor, long xsize, long ysize);
int conform_cf_conventions_grid_1d(hid_t ctxid, const char *gridname, int islongitude);
int conform_cf_conventions_grid_2d_dim(hid_t ctxid, const char *gridname, int islongitude);
int conform_cf_conventions_grid_2d_coordvar(hid_t ctxid, const char *gridname, int islongitude, challoc *coordinates);
int conform_cf_conventions_2d_data(hid_t ctxid, const char *gridswathname, int isgrid, const fieldinfo_t *field, const challoc *coordinates);
int close_hdf5(hid_t ctxid);

#endif

// vim:ts=8:sw=2:sts=2:cindent
