#!/bin/bash
#
#  TODO: modify EOSDUMP and NCDUMP based on your system
#

AUG=../src/aug_eos5


EOSDUMP=/mnt/hdf/clee83/svn_private/hdfeos5_dump/src/dump_hdfeos5
NCDUMP=/mnt/scr1/clee83/sysdep/jam/netcdf-4.1-beta1-snapshot2009041000/ncdump/ncdump

function check()
{
	filename=$1

	echo checking $1 ...
	$EOSDUMP augmented/$filename | diff - expected/$filename.eos
	$NCDUMP -h augmented/$filename | diff - expected/$filename.output
}

function generate()
{
	filename=$1

	echo generating $1 ...
	$EOSDUMP augmented/$filename > expected/$filename.eos
	$NCDUMP -h augmented/$filename > expected/$filename.output
}

function augment()
{
	filename=$1

	rm -f augmented/$filename
	cp -f testfiles/$filename augmented/$filename
	chmod -f 644 augmented/$filename

	echo augmenting $1 ...
	$AUG augmented/$filename
}

function doit()
{
	augment $1

	check $1
#	generate $1
}

function doit_1()
{
	doit HIRDLS-Aura_L2_v02-04-09-c03_2008d001.he5
	doit MLS-Aura_L2GP-BrO_v01-52-c01_2007d029.he5
	doit MLS-Aura_L3DM-Temperature_v02-21-c01_2006d020.he5
	doit OMI-Aura_L2G-OMCLDO2G_2007m0129_v002-2007m0130t174603.he5
# The following file has HDFEOS/ADDITIONAL/FILE_ATTRIBUTES/ProductionHistory of simple(1) dataspace.
#	doit TES-Aura_L2-ANCILLARY_r0000005209_F04_04.he5
}

function doit_2()
{
	doit HIRDLS-Aura_L2_v02-04-09-c03_2005d033.he5
	doit HIRDLS2_v02-04-19-01-c01_2005d032.he5
	doit MLS-Aura_L2GP-ClO_v01-51-c07_2004d221.he5
	doit MLS-Aura_L2GP-GPH_v02-22-c01_2004d221.he5
	doit OMI-Aura_L2-OMAERO_2004m1001t0003-o01132_v003-2009m0108t180405.he5
	doit OMI-Aura_L2G-OMAEROG_2004m1001_v003-2009m0112t161650.he5
	doit OMI-Aura_L3-OMAEROe_2004m1001_v003-2009m0114t094640.he5
# The following file has HDFEOS/ADDITIONAL/FILE_ATTRIBUTES/ProductionHistory of simple(1) dataspace.
#	doit TES-Aura_L2-CH4-Nadir_r0000002026_F05_05.he5
	doit TES-Aura_L3-CH4_r0000002135_F01_05.he5
}

function doit_all()
{
	mkdir augmented
	doit_1
	doit_2
}

doit_all

